Bug 643738 - sshd kernel option useless without networking
sshd kernel option useless without networking
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-17 14:17 EDT by Sandro Mathys
Modified: 2012-05-31 02:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-15.21-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 02:51:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2010-10-17 14:17:12 EDT
Description of problem:
Adding the sshd kernel option starts up sshd while anaconda is running. But it doesn't care about networking, i.e. sshd is running but no remote system can access it.

Adding ip=dhcp doesn't solve the issue either, i.e. doesn't really do dhcp. First I thought this to be a bug as well but the wiki page says "to use for a network installation" so I guess the ip= option is ignored in local media installs. I don't see how that makes sense, though.

Version-Release number of selected component (if applicable):
Fedora 14 Final TC1.1

How reproducible:
Always

Steps to Reproduce:
1. boot dvd with sshd option
2. try to access the system from a remote machine over ssh
3. change to tty2 and check activated interfaces with ifconfig
4. notice that only lo is active
  
Actual results:
sshd active but not accessible

Expected results:
sshd active and accessible

Additional info:
There's no use in having sshd running on a local media install normally - but if your graphics driver blanks your screen while the rest of the system keeps running fine it'd be such a nice option to extract the relevant log files over ssh/sftp. Right now I have to change to tty2 and start dhclient blindly...which works, but is not really the most comfortable way of doing things.
Comment 1 Brian Lane 2010-10-18 14:39:35 EDT
Pass 'asknetwork sshd' and it will work.
Comment 2 Sandro Mathys 2010-10-18 14:49:14 EDT
Sounds like a fine workaround for me - but I think the default behavior should be different. I think e.g. vncconnect enables networking, so why doesn't sshd?
Comment 3 Radek Vykydal 2011-03-04 11:47:31 EST
Should be fixed in F15 Beta.

Note You need to log in before you can comment on or make changes to this bug.